# Interface yii\web\RequestParserInterface

Implemented by | yii\web\JsonParser, yii\web\MultipartFormDataParser
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/RequestParserInterface.php

Interface for classes that parse the raw request body into a parameters array.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
parse() | Parses a HTTP request body. | yii\web\RequestParserInterface

## Method Details

parse() public abstract method

Parses a HTTP request body.

public abstract array parse ( $rawBody, $contentType )
$rawBody | string | The raw HTTP request body.
$contentType | string | The content type specified for the request body.
return | array | Parameters parsed from the request body